Jump to content


Photo

Openpli 8.0 ffmpeg problem

serviceapp ffmpeg exteplayer3 e2iplayer openssl

  • Please log in to reply
55 replies to this topic

Re: Openpli 8.0 ffmpeg problem #41 WanWizard

  • PLi® Core member
  • 58,752 posts

+1,286
Excellent

Posted 16 May 2021 - 01:28

I understood that, I more meant you can't simply swap the github URL in the recipe,  there is more work needed to make that work...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: Openpli 8.0 ffmpeg problem #42 rantanplan

  • Senior Member
  • 749 posts

+38
Good

Posted 16 May 2021 - 12:07

You mean switch from
https://github.com/technic/exteplayer3
to
https://github.com/D...ter/libeplayer3
That would also be possible, but I felt the same when switching

https://github.com/technic/exteplayer3
to a reliable branch.
The changes made by the good neutrino coders are not always compatible with the ServiceApp.
From my point of view, an 'only ffmpeg' solution would be better with the actually newer libeplayer3-sh4
https://github.com/D...libeplayer3-sh4

the servicemp3 handler

https://github.com/k...tree/libeplayer

Hisi source for the servicemp3 alternative Handler is unfortunately missing.
The libeplayer3-sh4 is amazingly similar to Hisi's.

Hisi can be built and used 'only ffmpeg' based.
But then do people want to have gst-solution back again?

So the effort to provide this as the sole (ffmpeg) solution for mipsel will probably be of no use.
At sh4 I also experienced all of this and didn't understand it.

 

But maybe there is a good coder who still addresses this?
greetings



Re: Openpli 8.0 ffmpeg problem #43 WanWizard

  • PLi® Core member
  • 58,752 posts

+1,286
Excellent

Posted 16 May 2021 - 13:54

I wouldn't know who (and why) wants gstreamer, I personally don't care which tool is used, it is the end-result that counts.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: Openpli 8.0 ffmpeg problem #44 Pr2

  • PLi® Contributor
  • 4,807 posts

+198
Excellent

Posted 16 May 2021 - 14:17

I agree people just want that the multimedia playback and streams work fine they don't care of the engine used.
We use SeviceApp just because in most case exteplayer3 is doing a better job.

NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.
If you think that my answer helps you, you can press the up arrow in bottom right of the answer.

Wanna help with OpenPLi Translation? Please read our Wiki Information for translators

Sat: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C) & Duo 4K: 2*DVB-S2X + DVB-C (FBC)
Edision OS Mio 4K: 1*DVB-S2X + 1*DVB-C/T/T2
 


Re: Openpli 8.0 ffmpeg problem #45 A.A.

  • Senior Member
  • 274 posts

+5
Neutral

Posted 23 May 2021 - 12:52

Maybe a dumb question:

 

I have read that i.e. for kodi we can have 'acceleration' only using gstreamer, at least on vuduo2/mipsel.

People at OE-A introduced GstPlayer for this reason (see file://0001-add-find-GLIB.patch there).

 

As for kodi, GstPlayer cannot 'accelerate' kodi's plugin inputstream-adaptive, I have heard Dreambox has an iframe accell but only for hisil, closed source kernel module.

 

At the moment the kodi_18 recipe uses the external ffmpeg.

 

People at OE-A have custom patches for this [1], I am not able to evaluate the usefulness.

 

Please look and consider

thx

A.A.

 

 

[1] https://github.com/o...b-support.patch


Edited by A.A., 23 May 2021 - 12:53.


Re: Openpli 8.0 ffmpeg problem #46 fankoosh

  • Senior Member
  • 198 posts

+6
Neutral

Posted 1 June 2021 - 23:16

installed openpli 8.0 on my vu+  , installed service app ( ffmpeg+ext3player) , installed latest maxmambi e2iplayer, problem ext3player not showing in option of configuration of player in e2iplayer , how i can let e2iplayer configure & use the  ext3player player with no option showing to select the ext3player?!


Edited by fankoosh, 1 June 2021 - 23:16.


Re: Openpli 8.0 ffmpeg problem #47 blzr

  • PLi® Core member
  • 2,203 posts

+113
Excellent

Posted 2 June 2021 - 10:39

https://forums.openp...dpost&p=1298642


True sarcasm doesn't need green font...

Re: Openpli 8.0 ffmpeg problem #48 rantanplan

  • Senior Member
  • 749 posts

+38
Good

Posted 2 June 2021 - 17:53

@ fankosh

 

Choose an image from develop and it will work again.
This is a known bug in version 8.



Re: Openpli 8.0 ffmpeg problem #49 fankoosh

  • Senior Member
  • 198 posts

+6
Neutral

Posted 2 June 2021 - 22:01

 

 

@ fankosh

 

Choose an image from develop and it will work again.
This is a known bug in version 8.

 

ok . i will give it a try & hope it will work , thanx for reply & help



Re: Openpli 8.0 ffmpeg problem #50 Moonwalker

  • Senior Member
  • 172 posts

0
Neutral

Posted 16 June 2021 - 16:12

Can someone help me to install e2iplayer (maxibambi) on open pli8?

I was using this command before  - cd /tmp && rm -f ffinstall.py && wget http://e2iplayer.pkt...pl/ffinstall.py && python ffinstall.py

but is this giving me error now - 

Machine: mips
OpenSSL SONAME VERSION []
OpenSSL VERSION []
Traceback (most recent call last):
  File "ffinstall.py", line 257, in <module>
    raise Exception('Problem with OpenSSL version detection!')
Exception: Problem with OpenSSL version detection!

Also if I type ffmpeg it shows command not found

Tried  remove, reinstall, force-reinstall   but still not working

 



Re: Openpli 8.0 ffmpeg problem #51 WanWizard

  • PLi® Core member
  • 58,752 posts

+1,286
Excellent

Posted 16 June 2021 - 16:29

Switch to the nightly build, there are issues with ffmpeg on MIPS in 8.0. Or wait for 8.1-release, which is due before the end of the month.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: Openpli 8.0 ffmpeg problem #52 Moonwalker

  • Senior Member
  • 172 posts

0
Neutral

Posted 16 June 2021 - 23:27

Thanks now ffmpeg working but still having problem installing E2Iplayer as above.



Re: Openpli 8.0 ffmpeg problem #53 blzr

  • PLi® Core member
  • 2,203 posts

+113
Excellent

Posted 17 June 2021 - 08:28

If you're on develop image - for openssl version detection "issue" - install libcrypto-compat package, should help after latest changes to it

(and I suggest to use ffmpeg and other iptvplayer dependencies from feed and not any third party precompiled bianries - installing enigma2-plugin-extensions-e2iplayer-deps)


Edited by blzr, 17 June 2021 - 08:28.

True sarcasm doesn't need green font...

Re: Openpli 8.0 ffmpeg problem #54 Moonwalker

  • Senior Member
  • 172 posts

0
Neutral

Posted 17 June 2021 - 10:55

Thanks that worked now. Installed  libcrypto-compat package and FFmpeg script worked fine.

 

Still with ffmpeg and exteplayer3 from feed IptvPlayer does not recognize it and is forced to use GSTplayer. 

Would be great if there is a solution for this too.



Re: Openpli 8.0 ffmpeg problem #55 blzr

  • PLi® Core member
  • 2,203 posts

+113
Excellent

Posted 17 June 2021 - 11:49

see this:

https://forums.openp...dpost&p=1298642


True sarcasm doesn't need green font...

Re: Openpli 8.0 ffmpeg problem #56 Moonwalker

  • Senior Member
  • 172 posts

0
Neutral

Posted 17 June 2021 - 23:01

Thanks a lot that works.





Also tagged with one or more of these keywords: serviceapp, ffmpeg, exteplayer3, e2iplayer, openssl

1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users